package com.wmdigit.wmposdemo.model.bean;

public class ApiButton {
    private String methodNo;
    private String methodName;
    private String methodDesc;
    private ApiLevel level;

    public ApiButton(String methodNo, String methodName, String methodDesc) {
        this.methodNo = methodNo;
        this.methodName = methodName;
        this.methodDesc = methodDesc;
        this.level = ApiLevel.LEVEL_NORMAL;
    }

    public ApiButton(String methodNo, String methodName,String methodDesc, ApiLevel level) {
        this.methodNo = methodNo;
        this.methodName = methodName;
        this.methodDesc = methodDesc;
        this.level = level;
    }

    public String getMethodName() {
        return methodName;
    }

    public void setMethodName(String methodName) {
        this.methodName = methodName;
    }

    public ApiLevel getLevel() {
        return level;
    }

    public void setLevel(ApiLevel level) {
        this.level = level;
    }

    public String getMethodNo() {
        return methodNo;
    }

    public void setMethodNo(String methodNo) {
        this.methodNo = methodNo;
    }

    public String getMethodDesc() {
        return methodDesc;
    }

    public void setMethodDesc(String methodDesc) {
        this.methodDesc = methodDesc;
    }
}
